#include <mpi.h>
int main(int argc, char *argv[]) {
	char message[20];
	int size, rank;
	MPI_Init(&argc, &argv);
	MPI_Comm_size (MPI_COMM_WORLD, &size);
	MPI_Comm_rank(MPI_COMM_WORLD, &rank);
	printf("processor %d among %d processors\n", rank, size);
	if (rank == 0) { /* code for process zero */
		strncpy(message,"Hello, there", 19);
		MPI_Send(message, 20, MPI_CHAR, 1, 99, MPI_COMM_WORLD);
	}
	else if (rank == 1) { /* code for process one */
		MPI_Status status;
		MPI_Recv(message, 20, MPI_CHAR, 0, 99, MPI_COMM_WORLD, &status);
		printf("received :%s:\n", message);
	}
	MPI_Finalize();
	return 0;
}